package com.qmth.sop.common.enums;

/**
 * @Description 项目进度
 * 教务处：准备（项目确认）,扫描（扫描准备、扫描收尾）,评卷（阅卷参数检查）,收尾（阅卷收尾检查）,完成（阅卷收尾检查提交后）
 * 研究生：准备（项目初审、项目关键信息、内审）,扫描（现场环境测试、扫描准备、校验收尾）,评卷（评卷准备、成绩复核）,收尾（评卷收尾、设备入库登记）,完成（设备入库登记提交后就是完成）
 */
public enum CrmProcessEnum {

    PREPARE("准备", "项目确认,项目初审,项目关键信息,内审"),

    SCAN("扫描", "扫描准备,扫描收尾,现场环境测试,扫描准备,校验收尾"),

    MARK("评卷", "阅卷参数检查,评卷准备,成绩复核"),

    FINAL("收尾", "阅卷收尾检查,评卷收尾,设备入库登记"),

    FINISH("已完成", "已完成");

    CrmProcessEnum(String title, String desc) {
        this.title = title;
        this.desc = desc;
    }

    private String title;

    private String desc;

    public String getTitle() {
        return title;
    }

    public String getDesc() {
        return desc;
    }

    public static CrmProcessEnum findCrmProcessByDesc(String desc) {
        for (CrmProcessEnum crmProcessEnum : CrmProcessEnum.values()) {
            String[] descArr = crmProcessEnum.getDesc().split(",");
            for (String str : descArr) {
                if (str.equals(desc)) {
                    return crmProcessEnum;
                }
            }
        }
        return null;
    }

}
